Package opennlp.tools.cmdline.tokenizer

# Class DetokenEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.tokenize.TokenSample>
opennlp.tools.cmdline.tokenizer.DetokenEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.tokenize.TokenizerEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.tokenize.TokenSample>`

public class DetokenEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.tokenize.TokenSample> implements opennlp.tools.tokenize.TokenizerEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetokenEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `DetokenEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.tokenize.TokenSample reference, opennlp.tools.tokenize.TokenSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### DetokenEvaluationErrorListener

    public DetokenEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### DetokenEvaluationErrorListener

    public DetokenEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`.

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.tokenize.TokenSample reference, opennlp.tools.tokenize.TokenSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.tokenize.TokenSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.tokenize.TokenSample>`